// **********************************************************************
//
// main.h: Jefferson main header file
//
// This module contains data type and function definitions that are
// common to the main Jefferson module
//

#ifndef __MAIN_H
#define __MAIN_H
#include "ie_types.h"

typedef enum {
    FALSE = 0,
    TRUE = 1
} BOOLEAN;    

#ifndef MIN
#define MIN(a,b) ((a) < (b) ? (a) : (b))
#define MAX(a,b) ((a) > (b) ? (a) : (b))
#endif

typedef INT8U BOOL;
typedef void *thread_proc_rtn( void *arg );
typedef INT8U *STRINGPTR;
typedef STRINGPTR *BUFFERPTR;

#endif
